Subject: bug#59248: 29.0.50; apropos lists keywords as if they were variables

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Nov 2022 20:34:02 +0200

> From: Thibault Polge <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 13 Nov 2022 19:30:23 +0100
> 
> > "M-x apropos" is not just about variables.  It's about any symbol that
> > matches a regexp.
> 
> In this case, the docstring for `apropos` is incorrect.

I will see about fixing that, thanks.

> > How can Emacs know that the user didn't actually _want_ to look up a
> > keyword?  It is not impossible.
> 
> I'm not sure I can think of a reason to do that: all the user would learn is
> that something, somewhere, interned that keyword.  But maybe there are use
> cases that escape me.

Apropos is also (if not mainly) for when you don't remember the exact
name of something.